	{% extends 'base.html' %}
	{% block meta_tags %}<title>Contact Us - GoLearner</title>
	        <meta name="description" content="Contact us for your Quires - GoLearner.">{% endblock %}
	{% block content %}
		<h3 class="text-center pb-2">Contact Us</h3>
		{% if messages %}
		    <ul class="messages text-center pb-3">
		        {% for message in messages %}
		            <li {% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
		        {% endfor %}
		    </ul>
		{% endif %}
		<div class="row">

			<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">
				<div id="map_canvas" style="width:100%; height:100%"></div>
			</div>
			<div class="border-info rounded border pt-3 pb-3 col-lg-5 col-md-5 col-sm-12 col-xs-12">
				<form method="POST" id="contect_us">
					<div class="form-group">
	                    <input type="text" name="{{ form.name.html_name}}" id="{{ form.name.id_for_label}}" value="{% if form.name.value %}{{form.name.value}}{% endif %}" class="form-control form-control-md" autocomplete=
	                    "off" placeholder="Name" required />
	                    {{ form.name.errors }}
	                </div>
					<div class="form-group">
	                    <input type="text" name="{{ form.email.html_name}}" id="{{ form.email.id_for_label}}" value="{% if form.email.value %}{{ form.email.value }}{% endif %}" class="form-control form-control-md" autocomplete=
	                    "off" placeholder="Email address" required />
	                    {{ form.email.errors }}
	                </div>
	                <div class="form-group">
	                    <input type="text" name="{{ form.mobile_num.html_name}}" id="{{ form.mobile_num.id_for_label}}" value="{% if form.mobile_num.value%}{{ form.mobile_num.value }}{% endif %}" class="form-control form-control-md" autocomplete=
	                    "off" placeholder="Mobile" required />
	                   	{{ form.mobile_num.errors }}
	                </div>
	            	<div class="form-group">
	                    <input type="text" name="{{ form.subject.html_name}}" id="{{ form.subject.id_for_label}}" value="{{ form.data.subject}}" class="form-control form-control-md" autocomplete=
	                    "off" placeholder="{{ form.subject.field.widget.attrs.placeholder}}" required />
	                    {{ form.subject.errors }}
	                </div>
	                <div class="form-group">
	                	<textarea name="{{ form.message_content.html_name}}" class="form-control message" cols="40" rows="10" placeholder="{{ form.message_content.field.widget.attrs.placeholder}}" maxlength="{{ form.message_content.field.max_length}}" minlength="{{ form.message_content.field.min_length}}">{{ form.data.message_content}}</textarea>
	                	{{ form.message_content.errors }}
	                </div>
				  {% csrf_token %}
				  <button type="submit" name="submit" class="btn btn-primary">Submit</button>
				</form>
			</div>
		</div>
	<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyB3nmchye32Dj85-YLlKQqnXjYpA-7QyDE"></script>
	<script type="text/javascript">
		var parliament = new google.maps.LatLng(59.327383, 18.06747);
		var marker;
		    var myOptions = {
		      zoom: 12,
		      center: parliament ,
		      mapTypeId: google.maps.MapTypeId.ROADMAP
		    };
		    var map = new google.maps.Map(document.getElementById("map_canvas"),
		        myOptions);
		    
		    var marker = new google.maps.Marker({
		      position: parliament, 
		      map: map, 
		      title:"Hello World!"
		  	});
	</script>
	{% endblock %}